%define name		libkgapi
%define version		2.2.0
%define release		%mkrel 3

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		KDE-based library for accessing various Google services via their public API
URL:			https://projects.kde.org/projects/extragear/libs/libkgapi
Group:   		Graphical desktop/KDE4
License:		GPL v2
Source:			%{name}-%{version}.tar.xz
BuildRequires:		kdelibs-devel >= 4.7.0
BuildRequires:		kde-pimlibs-devel >= 4.6
BuildRequires:		%{_lib}qjson-devel
BuildRequires:		%{_lib}boost-devel
Requires:		kde-pimlibs
Requires:		%{_lib}qjson0
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs for
various Google services.

%files
%defattr(-,root,root,-)
%{_libdir}/libkgapi2.so.*

%package devel
Summary:  Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: kdelibs-devel 
Requires: 	kde-pimlibs-devel >= 4.6
Requires: 	%{_lib}qjson-devel
Requires: 	%{_lib}boost-devel

%description devel
%{summary}.

%files devel
%defattr(-,root,root)
#%{_libdir}/libkgapi.so
%_kde_includedir/*
%_kde_libdir/libkgapi2.so
#%_kde_libdir/pkgconfig/*.pc
%_kde_libdir/cmake/*

%prep
%setup -q

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%changelog
* Tue Jul 21 2015 pp <pp> 2.2.0-3pclos2015
- rebuild against newer kde libs

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 2.2.0-2pclos2015
- rebuild against newer kde libs

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 2.2.0-1pclos2014
- 2.2.0

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 2.1.0-2pclos2014
- rebuild for 4.13.3

* Tue Mar 04 2014 pinoc <vogtpet at gmail.com> 2.1.0-1pclos2014
- 2.1.0

* Tue Jan 07 2014 pinoc <vogtpet at gmail.com> 2.0.1-2pclos2014
- rebuild for 4.11.5

* Tue Nov 05 2013 pinoc <vogtpet at gmail.com> 2.0.1-1pclos2013
- 2.0.1

* Tue Jul 2 2013 pinoc <vogtpet at gmail.com> 0.4.2-5pclos2013
- rebuild for 4.10.5

* Tue Jun 5 2013 pinoc <vogtpet at gmail.com> 0.4.2-4pclos2013
- rebuild for 4.10.4

* Mon Mar 11 2013 pinoc <vogtpet at gmail.com> 0.4.2-3pclos2013
- rebuild

* Tue Jan 15 2013 pinoc <vogtpet at gmail.com> 0.4.2-2pclos2013
- rebuild

* Sun Oct 07 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.4.2-1_archie_2012
- Create package
